package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政策指南对象 policy_guide
 * 
 * @author boman
 * @date 2022-06-16
 */
public class PolicyGuide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 政策ID */
    private Long policyId;

    /** 政策标题 */
    @Excel(name = "政策标题")
    private String policyTitle;

    /** 政策内容 */
    @Excel(name = "政策内容")
    private String policyContent;

    /** 政策状态（0正常 1关闭） */
    @Excel(name = "政策状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    public void setPolicyId(Long policyId) 
    {
        this.policyId = policyId;
    }

    public Long getPolicyId() 
    {
        return policyId;
    }
    public void setPolicyTitle(String policyTitle) 
    {
        this.policyTitle = policyTitle;
    }

    public String getPolicyTitle() 
    {
        return policyTitle;
    }
    public void setPolicyContent(String policyContent) 
    {
        this.policyContent = policyContent;
    }

    public String getPolicyContent() 
    {
        return policyContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("policyId", getPolicyId())
            .append("policyTitle", getPolicyTitle())
            .append("policyContent", getPolicyContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
